import { ElementRef, EventEmitter, OnInit } from '@angular/core';
import { BaseInputComponent } from "../base/base-input.component";
import { CoreComponentsIcon } from "../../core/enum/core-components-icon.enum";
export declare class ListOfValuesMultiselectPopupComponent extends BaseInputComponent<any> implements OnInit {
    readonly icons: typeof CoreComponentsIcon;
    showClass(): boolean;
    chosenCollection: EventEmitter<any[]>;
    closePopup: EventEmitter<any>;
    returnChosenCollection: any[];
    parentForOverlay: ElementRef;
    displayField: string;
    set collection(value: any[]);
    get collection(): any[];
    selectedCollection: any[];
    selectedOptions: any[];
    allOptionsSelected: boolean;
    searchTerm: string;
    private _collection;
    get filteredCollection(): any;
    ngOnInit(): void;
    onOptionClick(option: any): void;
    okClicked(): void;
    onToggleSelectAll(): void;
    searchCollection(): void;
}
